Utility.h File Reference
`#include "Allocator.h"`
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <sys/ioctl.h>`
`#include <sys/time.h>`
`#include <sys/stat.h>`
`#include <netinet/in.h>`
`#include <netinet/tcp.h>`
`#include <arpa/inet.h>`
`#include <netdb.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <pthread.h>`
`#include <signal.h>`
`#include <errno.h>`
`#include <time.h>`
`#include <stdlib.h>`
`#include <string>`
`#include <cstring>`
`#include <cctype>`
`#include <ctime>`
`#include <cstdio>`
`#include <cstdlib>`
`#include <memory>`
Include dependency graph for Utility.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| FIX

## Macros

#define | ALLOCATOR std::allocator
#define | THREAD_PROC void *
#define | FILE_FSCANF fscanf
#define | STRING_SPRINTF sprintf

## Typedefs

typedef void *( | FIX::THREAD_START_ROUTINE) (void *)
typedef pthread_t | FIX::thread_id

## Functions

void | FIX::string_replace (const std::string &oldValue, const std::string &newValue, std::string &value)
std::string | FIX::string_toLower (const std::string &value)
std::string | FIX::string_toUpper (const std::string &value)
std::string | FIX::string_strip (const std::string &value)
void | FIX::socket_init ()
void | FIX::socket_term ()
int | FIX::socket_createAcceptor (int port, bool reuse)
int | FIX::socket_createConnector ()
int | FIX::socket_connect (int socket, const char *address, int port)
int | FIX::socket_accept (int s)
ssize_t | FIX::socket_send (int s, const char *msg, size_t length)
void | FIX::socket_close (int s)
bool | FIX::socket_fionread (int s, int &bytes)
bool | FIX::socket_disconnected (int s)
int | FIX::socket_setsockopt (int s, int opt)
int | FIX::socket_setsockopt (int s, int opt, int optval)
int | FIX::socket_getsockopt (int s, int opt, int &optval)
int | FIX::socket_fcntl (int s, int opt, int arg)
int | FIX::socket_getfcntlflag (int s, int arg)
int | FIX::socket_setfcntlflag (int s, int arg)
void | FIX::socket_setnonblock (int socket)
bool | FIX::socket_isValid (int socket)
bool | FIX::socket_isBad (int s)
void | FIX::socket_invalidate (int &socket)
short | FIX::socket_hostport (int socket)
const char * | FIX::socket_hostname (int socket)
const char * | FIX::socket_hostname (const char *name)
const char * | FIX::socket_peername (int socket)
std::pair< int, int > | FIX::socket_createpair ()
tm | FIX::time_gmtime (const time_t *t)
tm | FIX::time_localtime (const time_t *t)
bool | FIX::thread_spawn (THREAD_START_ROUTINE func, void *var, thread_id &thread)
bool | FIX::thread_spawn (THREAD_START_ROUTINE func, void *var)
void | FIX::thread_join (thread_id thread)
void | FIX::thread_detach (thread_id thread)
thread_id | FIX::thread_self ()
void | FIX::process_sleep (double s)
std::string | FIX::file_separator ()
void | FIX::file_mkdir (const char *path)
FILE * | FIX::file_fopen (const char *path, const char *mode)
void | FIX::file_fclose (FILE *file)
bool | FIX::file_exists (const char *path)
void | FIX::file_unlink (const char *path)
int | FIX::file_rename (const char *oldpath, const char *newpath)
std::string | FIX::file_appendpath (const std::string &path, const std::string &file)

## Macro Definition Documentation

## ALLOCATOR

#define ALLOCATOR std::allocator

Definition at line 60 of file Utility.h.

## FILE_FSCANF

#define FILE_FSCANF fscanf

Definition at line 189 of file Utility.h.

Referenced by FIX::FileStore::populateCache().

## STRING_SPRINTF

#define STRING_SPRINTF sprintf

Definition at line 196 of file Utility.h.

Referenced by FIX::DoubleConvertor::convert().

## THREAD_PROC

#define THREAD_PROC void *

Definition at line 158 of file Utility.h.

Referenced by FIX::ThreadedSocketInitiator::lock(), FIX::Acceptor::onInitialize(), and FIX::Initiator::onInitialize().